<?php

function yahoomeme_views_default_views() {
  $view = new view;
  $view->name = 'memes';
  $view->description = 'Displays yahoomeme status messages for users who have associated meme accounts';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'memepost';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Memes', 'default');
  $handler->override_option('fields', array(
        'content' => array(
          'label' => '',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'strip_tags' => 0,
            'html' => 0,
            ),
          'height_max' => '',
          'width_max' => '',
          'exclude' => 0,
          'id' => 'content',
          'table' => 'memepost',
          'field' => 'content',
          'relationship' => 'none',
          ),
          'created_time' => array(
              'label' => '',
              'alter' => array(
                'alter_text' => 0,
                'text' => '',
                'make_link' => 0,
                'path' => '',
                'link_class' => '',
                'alt' => '',
                'prefix' => '',
                'suffix' => '',
                'help' => '',
                'trim' => 0,
                'max_length' => '',
                'word_boundary' => 1,
                'ellipsis' => 1,
                'strip_tags' => 0,
                'html' => 0,
                ),
              'date_format' => 'time ago',
              'custom_date_format' => '',
              'exclude' => 0,
              'id' => 'created_time',
              'table' => 'memepost',
              'field' => 'created_time',
              'relationship' => 'none',
              ),
              ));
  $handler->override_option('sorts', array(
        'created_time' => array(
          'order' => 'DESC',
          'id' => 'created_time',
          'table' => 'memepost',
          'field' => 'created_time',
          'relationship' => 'none',
          ),
        ));
  $handler->override_option('arguments', array(
        'uid' => array(
          'default_action' => 'default',
          'style_plugin' => 'default_summary',
          'style_options' => array(),
          'wildcard' => 'all',
          'wildcard_substitution' => 'All',
          'title' => '%1\'s memes',
          'breadcrumb' => '',
          'default_argument_type' => 'user',
          'default_argument' => '',
          'validate_type' => 'none',
          'validate_fail' => 'not found',
          'break_phrase' => 0,
          'not' => 0,
          'id' => 'uid',
          'table' => 'users',
          'field' => 'uid',
          'validate_user_argument_type' => 'uid',
          'validate_user_roles' => array(
            '2' => 0,
            '4' => 0,
            '3' => 0,
            ),
          'relationship' => 'none',
          'default_options_div_prefix' => '',
          'default_argument_user' => 1,
          'default_argument_fixed' => '',
          'default_argument_php' => '',
          'validate_argument_node_type' => array(
              'weblinks' => 0,
              'blog' => 0,
              'panel' => 0,
              'image' => 0,
              'page' => 0,
              'simplenews' => 0,
              'story' => 0,
              ),
          'validate_argument_node_access' => 0,
          'validate_argument_nid_type' => 'nid',
          'validate_argument_vocabulary' => array(
              '44' => 0,
              '1' => 0,
              '2' => 0,
              ),
          'validate_argument_type' => 'tid',
          'validate_argument_transform' => 0,
          'validate_user_restrict_roles' => 0,
          'validate_argument_php' => '',
          ),
          ));
  $handler->override_option('access', array(
        'type' => 'none',
        ));
  $handler->override_option('cache', array(
        'type' => 'none',
        ));
  $handler->override_option('use_pager', 'mini');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
        'grouping' => '',
        'override' => 1,
        'sticky' => 0,
        'order' => 'asc',
        'columns' => array(
          'content' => 'content',
          'created_time' => 'created_time',
          ),
        'info' => array(
          'content' => array(
            'sortable' => 0,
            'separator' => '',
            ),
          'created_time' => array(
            'sortable' => 0,
            'separator' => '',
            ),
          ),
        'default' => '-1',
        ));
  $handler = $view->new_display('page', 'User Page', 'page_1');
  $handler->override_option('fields', array(
        'avatar_url' => array(
          'label' => '',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'strip_tags' => 0,
            'html' => 0,
            ),
          'exclude' => 0,
          'id' => 'avatar_url',
          'table' => 'memeuser',
          'field' => 'avatar_url',
          'override' => array(
              'button' => 'Use default',
              ),
          'relationship' => 'none',
          ),
          'content' => array(
              'label' => '',
              'alter' => array(
                'alter_text' => 0,
                'text' => '',
                'make_link' => 0,
                'path' => '',
                'link_class' => '',
                'alt' => '',
                'prefix' => '',
                'suffix' => '',
                'help' => '',
                'trim' => 0,
                'max_length' => '',
                'word_boundary' => 1,
                'ellipsis' => 1,
                'strip_tags' => 0,
                'html' => 0,
                ),
              'height_max' => '',
              'width_max' => '',
              'exclude' => 0,
              'id' => 'content',
              'table' => 'memepost',
              'field' => 'content',
              'relationship' => 'none',
              ),
              'created_time' => array(
                  'label' => '',
                  'alter' => array(
                    'alter_text' => 0,
                    'text' => '',
                    'make_link' => 0,
                    'path' => '',
                    'link_class' => '',
                    'alt' => '',
                    'prefix' => '',
                    'suffix' => '',
                    'help' => '',
                    'trim' => 0,
                    'max_length' => '',
                    'word_boundary' => 1,
                    'ellipsis' => 1,
                    'strip_tags' => 0,
                    'html' => 0,
                    ),
                  'date_format' => 'time ago',
                  'custom_date_format' => '',
                  'exclude' => 0,
                  'id' => 'created_time',
                  'table' => 'memepost',
                  'field' => 'created_time',
                  'relationship' => 'none',
                  ),
                  ));
  $handler->override_option('path', 'user/%/memes');
  $handler->override_option('menu', array(
        'type' => 'tab',
        'title' => 'Memes',
        'description' => '',
        'weight' => '2',
        'name' => 'navigation',
        ));
  $handler->override_option('tab_options', array(
        'type' => 'none',
        'title' => '',
        'description' => '',
        'weight' => 0,
        ));
  $handler = $view->new_display('block', 'User Block', 'block_1');
  $handler->override_option('fields', array(
        'content' => array(
          'label' => '',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'strip_tags' => 0,
            'html' => 0,
            ),
          'height_max' => '',
          'width_max' => '200',
          'exclude' => 0,
          'id' => 'content',
          'table' => 'memepost',
          'field' => 'content',
          'relationship' => 'none',
          'override' => array(
              'button' => 'Use default',
              ),
          ),
          'created_time' => array(
              'label' => '',
              'alter' => array(
                'alter_text' => 0,
                'text' => '',
                'make_link' => 0,
                'path' => '',
                'link_class' => '',
                'alt' => '',
                'prefix' => '',
                'suffix' => '',
                'help' => '',
                'trim' => 0,
                'max_length' => '',
                'word_boundary' => 1,
                'ellipsis' => 1,
                'strip_tags' => 0,
                'html' => 0,
                ),
              'date_format' => 'time ago',
              'custom_date_format' => '',
              'exclude' => 0,
              'id' => 'created_time',
              'table' => 'memepost',
              'field' => 'created_time',
              'relationship' => 'none',
              ),
              ));
  $handler->override_option('items_per_page', 5);
  $handler->override_option('use_more', 1);
  $handler->override_option('style_plugin', 'list');
  $handler->override_option('style_options', array(
        'grouping' => '',
        'type' => 'ul',
        ));
  $handler->override_option('block_description', 'User Memes');
  $handler->override_option('block_caching', -1);
  $handler = $view->new_display('block', 'Global Block', 'block_2');
  $handler->override_option('fields', array(
        'content' => array(
          'label' => '',
          'alter' => array(
            'alter_text' => 0,
            'text' => '',
            'make_link' => 0,
            'path' => '',
            'link_class' => '',
            'alt' => '',
            'prefix' => '',
            'suffix' => '',
            'help' => '',
            'trim' => 0,
            'max_length' => '',
            'word_boundary' => 1,
            'ellipsis' => 1,
            'strip_tags' => 0,
            'html' => 0,
            ),
          'height_max' => '',
          'width_max' => '200',
          'exclude' => 0,
          'id' => 'content',
          'table' => 'memepost',
          'field' => 'content',
          'relationship' => 'none',
          'override' => array(
              'button' => 'Use default',
              ),
          ),
          'created_time' => array(
              'label' => '',
              'alter' => array(
                'alter_text' => 0,
                'text' => '',
                'make_link' => 0,
                'path' => '',
                'link_class' => '',
                'alt' => '',
                'prefix' => '',
                'suffix' => '',
                'help' => '',
                'trim' => 0,
                'max_length' => '',
                'word_boundary' => 1,
                'ellipsis' => 1,
                'strip_tags' => 0,
                'html' => 0,
                ),
              'date_format' => 'time ago',
              'custom_date_format' => '',
              'exclude' => 0,
              'id' => 'created_time',
              'table' => 'memepost',
              'field' => 'created_time',
              'relationship' => 'none',
              ),
              ));
  $handler->override_option('arguments', array());
  $handler->override_option('style_plugin', 'list');
  $handler->override_option('style_options', array(
        'grouping' => '',
        'type' => 'ul',
        ));
  $handler->override_option('block_description', 'All Memes');
  $handler->override_option('block_caching', -1);

  return array('memes' => $view);
}
